Skip to content

Realised capital gains

Request

Retrieves a report of realised capital gains from investment disposals, with results grouped by specified critera.

Security
Class_oAuth(Required scopes: fund.read)
Path
businessCodestringrequired

Class business code

Example:demo-business
fundCodestringrequired

Class entity code

Example:demo-fund
Query
startDatestring, (date)required

The start date to retrieve the data for

Example:startDate=2024-07-01
endDatestring, (date)required

The end date to retrieve the data for

Example:endDate=2025-06-30
groupBystring

Default value is MarketType

Enum:"MarketType""Reference""AssetPool""Gl"
curl -i -X GET \
  'https://api.class-pie.com.au/api/1.0/f/demo-business/demo-fund/report-data/accounting-reports/disposal-capital-gains?startDate=2024-07-01&endDate=2025-06-30&groupBy=MarketType' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success (Ok)

Bodyapplication/json
ErrorsArray of objectsrequired
Dataobjectrequired
Response
{ "Data": { "FundName": "DEMO_SMSF_2025", "FundCode": "demo-fund", "ErrorCode": null, "Period": "2025-07-01", "PortfolioDetails": [ { "Name": "SMSF Growth Portfolio", "CapitalLossesApplied": { "CurrentYearIndexed": 500, "CurrentYearDiscount": 750, "CurrentYearOther": 300, "CurrentYearRecognisedDeferred": 200, "PriorYearsIndexed": 400, "PriorYearsDiscount": 600, "PriorYearsOther": 250, "PriorYearRecognisedDeferred": 150 }, "NetCapitalGains": { "NetIndexedAfterLosses": 850, "NetDiscountAfterLosses": 1200, "NetOtherAfterLosses": 450, "DiscountAmount": 600, "NetRecognisedDeferredGainsAfterLosses": 275 }, "CustomHoldingCapitalGainDetails": [ { "AccountId": "6543be97-29ea-461d-bba1-641ee3178cf6", "AccountCode": "CH-2025-AU", "AccountDescription": "Custom Holding - Australian Equities", "GainLossAmount": 1250.75, "TaxProvisionRate": 0.15, "TaxProvisionAmount": 187.61, "MarketValue": 5000, "BookCost": 3750 } ], "MarketTypeDetails": [ { "MarketTypeId": "MT-AU", "MarketTypeName": "Australian Shares", "MarketTypeCode": "ASX", "HoldingDetails": [ { "CapitalEvents": [] } ] } ], "CategorisedCapitalGainDetails": [ { "CategoryName": "Australian Shares", "GrossIndexedGain": 1200, "GrossDiscountGain": 1500, "GrossRecognisedDeferredGain": 300, "GrossOtherGain": 100, "GrossCapitalLoss": 500 } ] } ] }, "Errors": [ { "Code": "string", "Message": "string" } ] }